;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; MIDx
;
; Funktion berechnet transparent innerhalb eines andere Befehls den
; Mittelpunkt zwischen zwei durch den Benutzer angegebenen Punkten.
;
; Bei notwendiger Eingabe einer Koordinate innerhalb eines Befehls
; (z.B. LINIE) den Befehl 'midx eingeben. Bei der Eingabe auf das
; Apostroph achten!
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 1.0                      Datum: 5.1.1999
; AutoCAD12   [ ]  AutoCAD14   [x]  AutoCAD2000(i) [x]   
; AutoCAD2002 [x]  AutoCAD2004 [x]  AutoCAD2005    [x]
; Freeware    [x]  Shareware   [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c:midx ( / p1 p2 p3) 
	(setvar "osnapcoord" 1)
	(setq p1 (getpoint "\nErsten Punkt whlen"))
	(setq p2 (getpoint "\nErsten Punkt whlen"))
	(setq p3 (strcat (rtos (+ (car p1) (* (- (car p2) (car p1)) 0.5)) 2 8) "," (rtos (+ (cadr p1) (* 0.5 (- (cadr p2) (cadr p1)))) 2 8) ",0.0"))
	(print p3)
)

(princ "\nMIDX geladen. Aufruf durch Eingabe von 'MIDX innerhalb eines anderen Befehls")
(print)
